%global python3_pkgversion 3.12
%global srcname ansible-pylibssh
%global _summary Python package with an object-oriented approach to text processing


Summary:        %{_summary}
Name:           python%{python3_pkgversion}-%{srcname}-epel
Version:        1.1.0
Release:        1%{?dist}

License:        LGPLv2
URL:            https://github.com/ansible/pylibssh
Source0:        %{pypi_source}
# Remove toml dep
# https://github.com/ansible/pylibssh/issues/504
Patch0:         python3.12-ansible-pylibssh-epel-tomllib.patch

BuildRequires:  libssh-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  python%{python3_pkgversion}-Cython
BuildRequires:  python%{python3_pkgversion}-expandvars
# For tests
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  /usr/bin/ssh-keygen
BuildRequires:  /usr/sbin/sshd


%description
pyparsing is a module that can be used to easily and directly configure syntax
definitions for any number of text parsing applications.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{_summary}


%description -n python%{python3_pkgversion}-%{srcname}
pyparsing is a module that can be used to easily and directly configure syntax
definitions for any number of text parsing applications.

This is the Python 3 version.


%prep
%autosetup -p1 -n %{srcname}-%{version}
# No cov, no xdist
sed -i -e '/cov/d' -e '/ -n /d' pytest.ini


%build
export PYTHONPATH=bin
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files '*pylibssh*'


%check
%pytest -v \
  --deselect tests/unit/scp_test.py::test_get \
  --deselect tests/unit/scp_test.py::test_put \
  --ignore tests/unit/channel_test.py


%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%license LICENSE.rst
%doc AUTHORS.rst README.rst


%changelog
* Tue May 28 2024 Orion Poplawski <orion@nwra.com> - 1.1.0-1
- Build for EPEL with Python 3.12
